Subject: Issues on Currency Code Types in IOTP

From: Masaaki Hiroya <[email-masked]>
Date: Fri, 12 Mar 1999 14:33:28 +0900

According to the IOTP specification, the currency code type should
be set to "ISO4217".  However, there are two types of currency codes
in "ISO4217".  One of them is a 3-letter alphabetic code such 
as "USD", "GBP" and "JPY". The other is a 3-digit numeric code
such as 840, 826 and 392.

As far as I know, Mondex uses alphabetic codes, but SET uses numeric codes.

Can both types defined in ISO4217 be used by IOTP?
If so, I think that the two currency code types should be distinguished 
by IOTP systems by using CurrencyCodeType Attributes in IOTP messages, 
for example: "ISO4217-Alphabet" and "ISO4217-Number"

Otherwise, we should define which currency code type should be used
in IOTP, just the alphabetic one or just the numeric one.

David's comments are as follows:
> The pros andcons as I see it are:
> *	using numbers. Follow the SET approach of using a numeric code. This
> might be a good idea, especially in the light of recent discussions on the
> SET-discuss which highlighted that EUR was the old mnmnonic for the ECO as
> well as the new mnemonic for the Euro. However new currencies aren't
> invented very often so this might not be a practical problem!
> *	using letters. On the other hand USD is actually immediately
> recognisable whereas 840 is not. This means that if we use a number, then we
> would need a table to translate it into a name
> 

Any comments?

Masaaki

-----
Masaaki Hiroya
Systems Development Laboratory
Hitachi, Ltd.
email: [email-masked]
tel: +81-44-966-9111(ext.3552)
fax: +81-44-966-1796
-----------------------------------------------------------------------
Message addressed to: [email-masked]
Archive available at: http://www.elistx.com/archives/ietf-trade/
To (un)subscribe send a message with "subscribe" or "unsubscribe" in the
body to: [email-masked]

---

From: "Donald E. Eastlake 3rd" <[email-masked]>
Date: Fri, 12 Mar 1999 11:49:51 -0500

I like the alphabetic codes much more, myself, because they are easily
understood as the two letter ISO 3166 country code followed by a
letter for the currency.  This handles the admittedly rare case of
"currency rollover" or multiple currencies in a country quite
naturally.  The three digit currency codes are really just the three
digit ISO 3166 country codes.  This allows only one curreny per
country and is harder to understand.  Both have some problems with
transnational currencies but manage to handle it.

SET uses numeric codes because the actually back end bank credit card
networks, as I understand it, use numeric codes.  (And they probably
were originally set up to do that to save a few bits in encoding.)

I suggest that the spec be changed to specify "ISO4217-A" as the
mandatory to implement alpha codes and define "ISO4217-N" as the
numeric codes which could be optional.

Thanks,
Donald

From:  Masaaki Hiroya <[email-masked]>
Message-Id:  <[email-masked]>
X-Sender:  [email-masked]
Date:  Fri, 12 Mar 1999 14:33:28 +0900
To:  [email-masked]